#ifndef __FASTAREADER_HH__
#define __FASTAREADER_HH__

#include "Application.hh"
#include "deweylab/bio/formats/fasta.hh"

namespace deweylab {
namespace app {

class FastaReader : public virtual Application {
public:
    typedef deweylab::bio::formats::fasta::Record Record;
    
    FastaReader(std::istream& stream = std::cin);
    virtual void run();
    virtual void read_record(Record& rec) = 0;
protected:
    typedef deweylab::bio::formats::fasta::InputStream InputStream;

    InputStream in_stream;
};

} }

#endif // __FASTAREADER_HH__
