/* Copyright (c) 2007
   Colin Dewey (University of Wisconsin-Madison)
   cdewey@biostat.wisc.edu
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "Record.hh"
#include "FormatError.hh"

namespace deweylab {
namespace bio {
namespace formats {
namespace fastq {

void Record::set_phred_qualities(const std::vector<PhredScore>& phred_scores) {
    qualities.resize(phred_scores.size());
    for (size_t i = 0; i < qualities.size(); ++i) {
        qualities[i] = qualities_encoding->encode_phred(phred_scores[i]);
    }
}

void Record::set_solexa_qualities(const std::vector<SolexaScore>& solexa_scores) {
    qualities.resize(solexa_scores.size());
    for (size_t i = 0; i < qualities.size(); ++i) {
        qualities[i] = qualities_encoding->encode_solexa(solexa_scores[i]);
    }
}

}
}
}
}
