/* Copyright (c) 2007
   Colin Dewey (University of Wisconsin-Madison)
   cdewey@biostat.wisc.edu
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __DEWEYLAB_BIO_FORMATS_FASTA_DB_HH__
#define __DEWEYLAB_BIO_FORMATS_FASTA_DB_HH__

#include <string>
#include <iosfwd>
#include "deweylab/bio/genome/SequenceDB.hh"
#include "boost/unordered_map.hpp"

namespace deweylab {
namespace bio {
namespace formats {
namespace fasta {

class DB : public genome::SequenceDB {
public:
	DB(const std::string& filename);
	DB(std::istream& stream);

	std::string getSeq(const std::string& title);
	
private:
	void read(std::istream& stream);
	
	typedef boost::unordered_map<std::string, std::string> SeqMap;
	SeqMap seqMap;	
};

} } } }

#endif // __DEWEYLAB_BIO_FORMATS_FASTA_DB_HH__
